<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\ResponseStrategies;


class ResponseTeilnehmerOnCurrentPage extends ResponseStrategy
{
  public function extendResponse($pResponse)
  {
    $pResponse->teilnehmer = $this->getTeilnehmer($pResponse);

    return $pResponse;
  }

  private function getTeilnehmer($pResponse)
  {
    $tnrAufSeite = $pResponse->blaettern->getItemsOnCurrentPage();
    $dbwTeilnehmer = new \DBWorkTeilnehmer(1, true);

    return $dbwTeilnehmer->getTeilnehmByIdArray($tnrAufSeite);
  }
}